Devtoberfest
Find out what's happening, and when, in the Devtoberfest schedule – don't miss out!
cancel
Showing results forΒ 
Search instead forΒ 
Did you mean:Β 

🟒 Get Your Eclipse ADT installed

Devtoberfest

Are you getting started with ABAP or looking to get your Eclipse ADT installed? Join this hands-on session to get you started on your ABAP journey 😊



Featured Guests
Featured Guests
Employee
Employee


Event has ended
You can no longer attend this event.

Starts:
Ends:
20 Comments
thomas_jung
Employee
Employee
deiamolina
Galactic 1
Galactic 1

Hi. 

I have been working with Eclipse and I have faced some issues:

  • The tab CDS Navigation is not working. It shows: CDS navigator is not available. I have reinstalled Eclipse 3 times already and it's always the same issue
  • While working on ATC issues, sometimes when I try to use  the Quick fix for multiple entries I get an error message that some programs can't be acessed. Is that normal?

I'm not sure if here is the right place to ask questions..

Thanks

Andrea

Faitox
Stellar 1
Stellar 1

Hello didi you solve it 

  • The tab CDS Navigation is not working. It shows: CDS navigator is not available. I have reinstalled Eclipse 3 times already and it's always the same issue

and what was the Problem. Because i have the same problem.

JohanBruwer
Stellar 2
Stellar 2

How do I join this session? Thx

 

sandeepsuggu
Galactic 3
Galactic 3

Hi @JohanBruwer 

_________________

It's already running now in the same Link you kept the chat 
YouTube Live Session 
If You have questions use the same chat platform 
__________

Thank You,

Suggu Sandeep.

Arku
Stellar 2
Stellar 2

I’m facing issue with installing eclipse in mac m1. Can you pls help me with any blog or document???

thomas_jung
Employee
Employee

For installation questions and troubleshooting, you'd really be better off posting your question in the SAP Community Q&A. -- But see this blog post from Antonio. 
Setting up my Mac for SAP Development | SAP Blogs
 If you have an M1 Mac, make sure to install the x86_64 version and not the AArch64 version, as the ABAP Development Tools (ADT) doesn’t support this architecture yet.

Hopefully that helps

Arku
Stellar 2
Stellar 2

Yes. I got installed with x86. I’m facing issue becoz eclipse comes with bundled java, which is not supported by ADT. IDK how to resolve it. Even our basis and IT guys were not able to figure it out.

thomas_jung
Employee
Employee

You want to remove the bundled Java - that is described in this service note 3035242 - Remove bundled JRE from Eclipse packages - SAP ONE Support Launchpad

kartefact
Galactic 3
Galactic 3

Hi. My trial account had expired and when I tried creating a new one, I keep getting this following error message when trying to start the booster:

kartefact_0-1664817491929.png

 

 

I created the service instance, space and service key manually and I'm able to connect to it from ADT. However, it says I'm not authorized to create an "ABAP Program". Is this an expected restriction or have I missed something?

KR
thomas_jung
Employee
Employee

In the BTP version of ABAP there is no SAPGUI support so no you can't create ABAP Programs. That is normal. 

Dpacheco
Galactic 2
Galactic 2

Hi, how do you create the service instance, space and service key manually? I have the same error but when I try to create the service I keep getting this error.

Capturas.PNG

 

 

 

 

 

 

 

 

any help please?

kartefact
Galactic 3
Galactic 3

Not exactly sure of the steps you followed, but it was pretty straightforward when I tried. 

After getting the error message that I have posted above i.e. after trying to start the "Booster", I performed the following steps

  1. Create subaccount named "trial" (Chose US East. Not sure if it makes a difference if you choose any other region and not sure if the name matters)
  2. Created a Cloud Foundry environment with OrgName as GlobalAccount1. Again not sure if the name matters.
  3. Created a space named "dev" (again not sure if name matters)
  4. Created an instance named "abap-trial"
  5. Created a service key by entering my email ID in the JSON template that it shows and hitting next a couple of times.

 

kartefact_1-1664999266553.png

KR
Archanareddyv
Stellar 2
Stellar 2

When creating it manually, change the "email" in json format. Use a new email, which worked for me. 

Jeansy
Galactic 3
Galactic 3

Dear all, 

enclosed is a recommendation from my side.
I did the setup of Eclipse based on this blog post:
https://blogs.sap.com/2021/03/19/lightweight-eclipse-installation-or-yet-anther-blog-post-about-inst...

Advantage is that you don't have to take any of the mentioned "bundles" from the Eclipse site, but rather install pure Eclipse without unnecessary plugins and just ADT (and if needed further relevant plugins).
Positive effect is that Eclipse starts more than twice as fast and works overall more performant.

Kind regards
Jens

deiamolina
Galactic 1
Galactic 1

Hi. 

I have eclipse installed and I'm working on ATC and when I try to apply Quick fixes I get this message

ATC_ISSUE1.png

What does that means? How can I fix it?

Thanks

 

bpawanchand
Galactic 2
Galactic 2

I get an error while I am trying to submit or check the answers adt_error.png

 

MaxQc
Stellar 2
Stellar 2

Hello! 
In the step "Install Software" to install ABAL Development Tools from https://tools.hana.ondemand.com/latest , I got a security error from my job. Is there another way to download ABAP development tools and than install it on Eclipse?

Thank you for you help!

Max

MaxQc_0-1665590440608.png